SuSE9 Security Update : openldap2-client (YOU Patch Number 11307)

Medium Nessus Plugin ID 41106


The remote SuSE 9 host is missing a security-related patch.


OpenLDAP libldap's strval2strlen() function contained a bug when processing the authcid string of certain Bind Requests, which could allow attackers to cause an affected application (especially the OpenLDAP Server) to crash. (CVE-2006-5779)


Apply YOU patch number 11307.

See Also

Plugin Details

Severity: Medium

ID: 41106

File Name: suse9_11307.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2012/04/23

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2006/11/22

Reference Information

CVE: CVE-2006-5779